@ECHO OFF


REM ############################################################################
REM Folgende Parameter mssen berprft und evtl. angepasst werden.
REM ############################################################################

REM (1) Allgemeine Einstellungen laden.
CALL ..\..\..\skripte-dosshell\einstellungen.bat

REM (2) Parameter fr den Java-Interpreter, als Standard werden die
REM Einstellungen aus einstellungen.bat verwendet. Kann verwendet werden, wenn
REM (1) nicht funktioniert.
REM SET jvmArgs=-Dfile.encoding=ISO-8859-1
SET jvmArgs=%jvmArgs% -Xmx256m

REM (3) Parameter fr den Datenverteiler, als Standard werden die Einstellungen
REM aus einstellungen.bat verwendet. Kann verwendet werden, wenn (1) nicht
REM funktioniert.
REM SET dav1=-datenverteiler=localhost:8083 -benutzer=Tester -authentifizierung=passwd -debugFilePath=..

REM (4) Der Klassenpfad fr die Applikation.
SET classpath=..\de.bsvrz.iav.subsegana-runtime.jar;..\de.bsvrz.iav.subsegana-test.jar

REM (5) Die Objekte deren Parameter gesetzt werden sollen. Mehrere Objekte
REM werden mit Komma getrennt. Ist der Parameter nicht angegeben (also hier
REM auskommentiert), dann werden alle Objekte parametriert. Alle Objekte zu
REM parametrieren kann sehr lange dauern (bis zu mehren Stunden).
SET objekte=mq.MQ.A5.10028.HFB.S
SET objekte=%objekte%,UFDS.HS.B27.4105.S.WR
SET objekte=%objekte%,UFDS.HS.B27.4105.S.WGM
SET objekte=%objekte%,UFDS.HS.B27.4105.S.SW
SET objekte=%objekte%,UFDS.HS.B27.4105.S.NI
SET objekte=%objekte%,UFDS.HS.B27.4105.S.HK
SET objekte=%objekte%,UFDM.B27.4105.S


REM ############################################################################
REM Ab hier muss nichts mehr angepasst werden
REM ############################################################################

CHCP 1252
TITLE Parameter setzen fr Prfprozedur Segment 5, Prffall 7: Fuzzy-Technologie

if defined objekte ( 
	java %jvmArgs% -cp %classpath% de.bsvrz.iav.subsegana.subsegana.param.StandardParameterSetzerFuzzy ^
	%dav1% ^
	-debugLevelFileText=all ^
	-debugLevelStdErrText=all ^
	-debugSetLoggerAndLevel=:warning ^
	-debugSetLoggerAndLevel=de.bsvrz.iav:config ^
	-objekte=%objekte%
) else (
	java %jvmArgs% -cp %classpath% de.bsvrz.iav.subsegana.subsegana.param.StandardParameterSetzerFuzzy ^
	%dav1% ^
	-debugLevelFileText=all ^
	-debugLevelStdErrText=all ^
	-debugSetLoggerAndLevel=:warning ^
	-debugSetLoggerAndLevel=de.bsvrz.iav:config
)


REM Nach dem Beenden warten, damit Meldungen gelesen werden knnen
PAUSE
