#!/bin/bash

################################################################################
# Folgende Parameter mssen berprft und evtl. angepasst werden               #
################################################################################

# (1) Allgemeine Einstellungen laden.
source ../../../skripte-bash/einstellungen.sh

# (2) Parameter fr den Java-Interpreter, als Standard werden die Einstellungen
# aus einstellungen.sh verwendet. Kann verwendet werden, wenn (1) nicht
# funktioniert.
#jvmArgs="-Dfile.encoding=ISO-8859-1"

# (3) Parameter fr den Datenverteiler, als Standard werden die Einstellungen
# aus einstellungen.sh verwendet. Kann verwendet werden, wenn (1) nicht
# funtkioniert.
#dav1="-datenverteiler=localhost:8083 -benutzer=Tester -authentifizierung=passwd -debugFilePath=.."

# (4) Der Classpath fr die Applikation.
classpath=../de.bsvrz.iav.subsegana-runtime.jar:../de.bsvrz.iav.subsegana-test.jar

# (5) Die Objekte deren Parameter gesetzt werden sollen. Mehrere Objekte werden
# mit Komma getrennt. Ist der Parameter nicht angegeben (also hier
# auskommentiert), dann werden alle Objekte parametriert. Alle Objekte zu
# parametrieren kann sehr lange dauern (bis zu mehren Stunden).
objekte=-objekte=mq.MQ.A5.10028.HFB.S
objekte=$objekte,UFDS.HS.B27.4105.S.WR
objekte=$objekte,UFDS.HS.B27.4105.S.WGM
objekte=$objekte,UFDS.HS.B27.4105.S.SW
objekte=$objekte,UFDS.HS.B27.4105.S.NI
objekte=$objekte,UFDS.HS.B27.4105.S.HK
objekte=$objekte,UFDM.B27.4105.S


################################################################################
# Ab hier muss nichts mehr angepasst werden                                    #
################################################################################

java $jvmArgs -cp $classpath de.bsvrz.iav.subsegana.subsegana.param.StandardParameterSetzerFuzzy \
	$dav1 \
	-debugLevelFileText=all \
	-debugLevelStdErrText=all \
	-debugSetLoggerAndLevel=:warning \
	-debugSetLoggerAndLevel=de.bsvrz.iav:config \
	$objekte
